Strobe 2 not working on Ubuntu 14.04 (I know it's not supported) - Fxpansion.com

Forum

FXpansion Forum

Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

User and tech support for Strobe2.

Moderator: Moderators

tebby
Posts: 5
Joined: Thu Dec 31, 2015 2:41 pm

Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby tebby » Thu Dec 31, 2015 5:49 pm

Hi,
After doing some testings on the Tremor demo for a few days, I bought Tremor just a while ago with the intention of using it on my Ubuntu Laptop. And it worked really well so far. 8)
And then Strobe 2 caught my attention. (Demo version) I was hoping that it would work on my Ubuntu machine. Sadly It didn't.
Anyways, crash logs attached. (dmp files too large).
Thanks
Attachments
FXpansion Crash Log 2015.12.31 1708_10.txt
(980 Bytes) Downloaded 82 times
FXpansion Crash Log 2015.12.31 1658_56.txt
(980 Bytes) Downloaded 92 times
FXpansion Crash Log.txt
(31.54 KiB) Downloaded 81 times

Angus_FX
Herder of Cats
Posts: 4172
Joined: Fri Sep 10, 2004 3:00 pm
Location: FX HQ, London
Contact:

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby Angus_FX » Thu Dec 31, 2015 6:44 pm

What's the spec on your laptop? If you can put the dmp files on a dropbox or some such, I can take a look.
-- Angus F. Hewlett - CEO - FXpansion --
Twitter | YouTube
Synth Squad | BFD Eco

tebby
Posts: 5
Joined: Thu Dec 31, 2015 2:41 pm

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby tebby » Fri Jan 01, 2016 8:43 am

The latest crash report and laptop spec in the zip file. Maybe the previous one should be discarded.
https://www.dropbox.com/s/c3kie61rgo9poff/Strobe%20Crash.zip?dl=0

Attached also screenshot of what happened.
https://www.dropbox.com/s/42mw508k11sw430/Screenshot%20from%202016-01-01%2012%3A24%3A03.png?dl=0

Angus_FX
Herder of Cats
Posts: 4172
Joined: Fri Sep 10, 2004 3:00 pm
Location: FX HQ, London
Contact:

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby Angus_FX » Fri Jan 01, 2016 12:01 pm

Thanks. Do you happen to know if your Ubuntu / Wine environment supports the Direct2D & DirectWrite Windows APIs?
-- Angus F. Hewlett - CEO - FXpansion --

Twitter | YouTube

Synth Squad | BFD Eco

tebby
Posts: 5
Joined: Thu Dec 31, 2015 2:41 pm

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby tebby » Fri Jan 01, 2016 4:21 pm

I am using wine1.8 and wine1.9 staging which I think don't implement complete DirectWrite and Direct2D APIs.

Angus_FX
Herder of Cats
Posts: 4172
Joined: Fri Sep 10, 2004 3:00 pm
Location: FX HQ, London
Contact:

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby Angus_FX » Fri Jan 01, 2016 8:10 pm

That could be the problem. Will take a look at the crashlog when I'm back in the office, but it's certainly something in the GUI drawing code that's blowing up.
-- Angus F. Hewlett - CEO - FXpansion --

Twitter | YouTube

Synth Squad | BFD Eco

tebby
Posts: 5
Joined: Thu Dec 31, 2015 2:41 pm

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby tebby » Sat Jan 02, 2016 5:57 pm

Thanks!

Angus_FX
Herder of Cats
Posts: 4172
Joined: Fri Sep 10, 2004 3:00 pm
Location: FX HQ, London
Contact:

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby Angus_FX » Thu Jan 07, 2016 8:50 pm

As I thought, it's DirectWrite blowing up.

There's a new build coming soonish which will have a couple of extra error checks - should allow it to run at least, but without text. Keep an eye out for announcements of new builds & take it for a spin when it's ready.
-- Angus F. Hewlett - CEO - FXpansion --

Twitter | YouTube

Synth Squad | BFD Eco

tebby
Posts: 5
Joined: Thu Dec 31, 2015 2:41 pm

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby tebby » Sat Jan 09, 2016 12:26 pm

Good to know that. I'll definitely check it out.

hholler
Posts: 1
Joined: Mon Oct 03, 2016 4:10 am

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby hholler » Mon Oct 03, 2016 4:26 am

Angus, Tebby, has there been any progress on the Linux front? I'm trying to run the Strobe 2 Berklee edition on Linux Mint / LMMS, but haven't been able to get it to run.

Helge

Angus_FX
Herder of Cats
Posts: 4172
Joined: Fri Sep 10, 2004 3:00 pm
Location: FX HQ, London
Contact:

Re: Strobe 2 not working on Ubuntu 14.04 (I know it's not supported)

Postby Angus_FX » Fri Jan 13, 2017 12:06 pm

@tebby can you drop me a line angus /at/ fxpansion /dot/ com, I can get you on the beta programme - there's a new update going to the beta testers today or Monday, would be worth checking it out.

Also, I take it you tried the 2.0.2.17 build from summer last year?
-- Angus F. Hewlett - CEO - FXpansion --

Twitter | YouTube

Synth Squad | BFD Eco


Return to “Strobe2”

Who is online

Users browsing this forum: No registered users and 2 guests